<?php include('casa/setup.casa.php');
	$codigo = DataForms::POST('codigo');
		
	$txtNombres = DataForms::POST('txtNombres'); 
	$txtApellidos = DataForms::POST('txtApellidos'); 
	$txtCI = DataForms::POST('txtCI'); 
	$txtROL = DataForms::POST('txtROL'); 
	$txtUSER = DataForms::POST('txtUSER'); 

	if(trim($txtNombres)==''){	
		MostrarMensaje("Ingrese valor en Nombres");
		exit();
	} 
	if(trim($txtApellidos)==''){	
		MostrarMensaje("Ingrese valor en Apellidos");
		exit();
	} 
	if(trim($txtCI)==''){	
		MostrarMensaje("Ingrese valor en C.I.");
		exit();
	} 
	if(trim($txtROL)==''){	
		MostrarMensaje("Seleccione un ROL");
		exit();
	} 
	if(trim($txtUSER)==''){	
		MostrarMensaje("Ingrese valor en USER");
		exit();
	} 
	
	
$sql = "UPDATE rol_usuarios SET 	
	rol_id = '$txtROL',
	us_ci = '$txtCI',
	us_nombres = '$txtNombres',
	us_apellidos = '$txtApellidos',
	us_user = '$txtUSER'
WHERE us_id = '$codigo';";
$db = new DB();
$db->dbSQL($sql);

echo '<script>self.location="'.PATH_HOME.'usuarios/listado";</script>';

//funciones
function MostrarMensaje($Mensaje){
	$sms="<script>swal({
		title: '".AppName."',
			 html: '".$Mensaje."!!!',
			 confirmButtonClass: 'btn bg-dark',
			 confirmButtonText: 'ACEPTAR',
		timer: 3500
  }).then();</script>";

  echo $sms;
}
?>